@import "critical.scss";

html {
  scroll-behavior:smooth;
}
// some also shared in index.css
#deps-features {
  dl {
    margin: 2em 0 4em;
  }
  pre {
    width: fit-content;
  }
  pre > code {
    display: block;
    max-height: 30em; overflow-y: auto;
  }
  pre tt > a {
    color: inherit;
    &:hover, &:active {
      color: var(--green-shade);
    }
  }

  .feat-link {
    color: var(--green-shade);
  }

  dt {
    margin: 2.5em 0 0 0; font-size: 1em; padding: 0; color: var(--text-color-highlight);
    > .feat-links {line-height: 2}
    b {
      white-space: nowrap;
      font-size: 1.2em;
      padding: 0.2em 0.4em;
      border: 1px solid lighten($neutral-shade, 15%);
      border-radius: 5px;
      @include dark {
        background: $dark-neutral-shade;
      }
      &.long {
        white-space: normal;
        word-break: break-word;
      }
    }
    &:target b {
      border-color: var(--text-color-highlight);
    }
    b, span.eq {
      margin-right: 0.5ex;
    }
    span + span.eq {
      margin-left: 0.5ex;
    }
    .package b {
      font-weight: normal;
      font-size: 1em;
      text-decoration: underline;
      padding: 0.27em 0.5em;
    }
  }
  .long b {
    font-size: 1em;
  }
  dd {
    margin: 0.5em 0 1em; padding: 0 0 0 2em;
    .outdated {
      font-weight: normal;
      color: var(--orange-shade);
    }
  }
  @media (max-width: 740px) {
    dd { padding-left: 0.5em }
  }

  blockquote {
    background: #fbfbfd;
    @include dark {
      background: lighten($dark-background-color, 2%);
    }
    margin: 0; padding: 1px 1em 1px 1em;
    border-left: 3px solid var(--text-color-fade);
    max-width: max-content;
    p { margin: 0.5em 0 }
  }
}
